%define name	opengroupware-sope
%define version 4.2
%define cvs     20040204
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org object publishing environment
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-xml
Source:      opengroupware.org-sope-%{cvs}.tar.bz2
Patch0:      opengroupware.org-sope-%{cvs}.patch.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel 
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel 
BuildRequires: opengroupware-xml opengroupware-xml-devel 
BuildRequires: opengroupware-core opengroupware-core-devel 
BuildRequires: opengroupware-gstep-db opengroupware-gstep-db-devel 
BuildRequires: opengroupware-js opengroupware-js-devel
Requires:  opengroupware-gstep-make
BuildRequires: gcc-objc

%description
This package contains the OpenGroupware.org 4.2 object
publishing environment.

%package devel
Summary: The header files for the OpenGroupware.org 4.2 application server libraries.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the
OpenGroupware.org 4.2 object publishing environment.

%prep
%setup -q -n opengroupware.org-sope
%patch -p1

%build
source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=%{_tmppath}/%{name}-root
make debug=yes strip=yes all

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

make debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}$GNUSTEP_SYSTEM_ROOT" install

rm -rf    ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/NGObjDOM.odr/Contents/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/NGObjDOM.odr/Resources/Info-gnustep.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/NGObjDOM.odr/Resources/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/NGObjDOM.odr/bundle-info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/NGObjDOM.odr/ix86/linux-gnu/gnu-fd-nil/NGObjDOM \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WEExtensions.bundle/Contents/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WEExtensions.bundle/Resources/Info-gnustep.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WEExtensions.bundle/Resources/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WEExtensions.bundle/bundle-info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WEExtensions.bundle/ix86/linux-gnu/gnu-fd-nil/WEExtensions \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WOExtensions.bundle/Contents/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WOExtensions.bundle/Resources/Info-gnustep.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WOExtensions.bundle/Resources/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WOExtensions.bundle/bundle-info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/WOExtensions.bundle/ix86/linux-gnu/gnu-fd-nil/WOExtensions \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XHTML.odr/Contents/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XHTML.odr/Resources/Info-gnustep.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XHTML.odr/Resources/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XHTML.odr/bundle-info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XHTML.odr/ix86/linux-gnu/gnu-fd-nil/XHTML \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XUL.odr/Contents/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XUL.odr/Resources/Info-gnustep.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XUL.odr/Resources/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XUL.odr/bundle-info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/Bundles/XUL.odr/ix86/linux-gnu/gnu-fd-nil/XUL \
   ${RPM_BUILD_ROOT}%{prefix}/Library/ScriptEngines/SpiderMonkey.sse/Contents/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/ScriptEngines/SpiderMonkey.sse/Resources/Info-gnustep.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/ScriptEngines/SpiderMonkey.sse/Resources/Info.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/ScriptEngines/SpiderMonkey.sse/Resources/ScriptLanguages.plist \
   ${RPM_BUILD_ROOT}%{prefix}/Library/ScriptEngines/SpiderMonkey.sse/ix86/linux-gnu/gnu-fd-nil/SpiderMonkey \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/sope



%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi
exit 0

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{prefix}/Library/Bundles/NGObjDOM.odr/Contents/Resources
%{prefix}/Library/Bundles/WEExtensions.bundle/Contents/Resources
%{prefix}/Library/Bundles/WOExtensions.bundle/Contents/Resources
%{prefix}/Library/Bundles/XHTML.odr/Contents/Resources
%{prefix}/Library/Bundles/XUL.odr/Contents/Resources
%{prefix}/Library/ScriptEngines/SpiderMonkey.sse/Contents/Resources
%{prefix}/Libraries/Resources/NGObjWeb/Defaults.plist
%{prefix}/Libraries/Resources/NGObjWeb/Languages.plist
%{prefix}/Libraries/Resources/NGObjWeb/DAVPropMap.plist
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGScripting*.so.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGJavaScript*.so.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGObjWeb*.so.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGObjDOM*.so.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libSxComponents*.so.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libWEExtensions*.so.4.2*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libWOExtensions*.so.4.2*
%{prefix}/Library/SoProducts/SoCore.sxp
%{prefix}/Library/SoProducts/SoOFS.sxp
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/wod
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/xmlrpc_call
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/sxc_ls
%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/sxc_call

%files devel
%defattr(-,root,root,-)
%{prefix}/Makefiles/Additional/ngobjweb.make
%{prefix}/Headers/NGScripting
%{prefix}/Headers/NGJavaScript
%{prefix}/Headers/NGObjWeb
%{prefix}/Headers/NGHttp
%{prefix}/Headers/NGXmlRpc
%{prefix}/Headers/SoOFS
%{prefix}/Headers/SxComponents
%{prefix}/Headers/WEExtensions
%{prefix}/Headers/NGObjDOM
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGScripting*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGJavaScript*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGObjWeb*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libSxComponents*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libWOExtensions*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libWEExtensions*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libNGObjDOM*.so


%changelog
* Wed Feb 11 2004 Spencer Anderson <sdander@oberon.ark.com>>> 4.2-20040204.1mdk
- 20040204
- P0 installroot

* Thu Dec 8 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.1mdk
- new snapshot - bugfiles

* Mon Oct 6 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031001.1mdk
- new snapshot
- specfile cleanup

* Tue Sep 2 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

